Subject: bug#63555: closed (Re: bug#63555: emacs 29 complains that it can't connect to the display)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 May 2023 12:59:02 +0000

Your bug report

#63555: emacs 29 complains that it can't connect to the display

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63555: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63555
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63555: emacs 29 complains that it can't connect to the display
From: Eli Zaretskii <[email-masked]>
To: Po Lu <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 20 May 2023 15:58:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 20 May 2023 16:28:30 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > What function(s) is/are used at that point which tells us a GUI
> > session is impossible?
> 
> window-system-initialization.
> 
> > Can we invoke those same functions earlier during startup to realize
> > this fact where we still can start as -nw?
> 
> Unfortunately not.  At least, not enough to make a change suitable for
> the release branch.

Too bad.  I added some verbiage to this effect in NEWS, and I'm
closing this bug.

(With all these disadvantages, I wonder why the PGTK build was
considered such a useful addition to Emacs...)

Btw, the Emacs user manual says WAYLAND_DISPLAY is the variable used
by PGTK, which you seem to say is inaccurate?

Subject: emacs 29 complains that it can't connect to the display
From: Phillip Susi <[email-masked]>
To: [email-masked]
Date: Wed, 17 May 2023 09:51:43 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 29.0.90

In previous versions of emacs, if the DISPLAY/WAYLAND_DISPLAY variable
was not set, it would default to tty mode.  In version 29, it seems to
assume a default value and complains that it can't connect to the
display server unless you run it with -nw.